Subject: Re: mkpasswd -d error
From: "Keith Starsmeare" <[email-masked]>
To: "Corinna Vinschen" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 29 Nov 1999 14:58:32 -0000

I certainly am logged in from a domain.

I didn't realise that NT always gave a USERDOMAIN, so I believed that my
using the USERDOMAIN variable made it clear what I was doing!

We are in a multiple domain environment. My desktop computer is not it my
userdomain, maybe this is causing the problem. I have no problems using
"mkpasswd -d" with my computers domain name.

Mind you, how useful is it to periodically take a snapshot of the users in
the domain? There are lots of people in this domain and I'm sure that it's
quite a dynamic entity.

I'll leave this as an FYI that there is a problem. I've got it working for
myself and the other users that I'm interested in. I don't really need to
bother with the entire domain.

Keith

----- Original Message -----
From: Corinna Vinschen <[email-masked]>
To: Keith Starsmeare <[email-masked]>
Cc: <[email-masked]>
Sent: Monday, November 29, 1999 12:08 PM
Subject: Re: mkpasswd -d error

> Keith Starsmeare wrote:
> >
> > I'm now using the 19991122 snapshot but even that mkpasswd gives me an
> > error:
> >
> >   > mkpasswd -d $USERDOMAIN
> >   Cannot get DC, code = 1355
>
> Are you sure that your login is a login of a domain user?
>
> I have checked it out and "it works for me".
>
> My scenario:
>
> Computername of Workstation: CVHP
> Name of Domain where CVHP is member of: VINSCHEN
>
> Login on Workstation as user "corinna" of Domain "VINSCHEN":
>
> $ echo $USERDOMAIN
> VINSCHEN
> $ mkpasswd -d $USERDOMAIN
> Jeder:*:0:0:,S-1-1-0::
> SYSTEM:*:18:18:,S-1-5-18::
> Administrator::500:513:,S-1-5-21-...
> [etc. as expected]
>
> Login on Workstation as user "corinna" of Domain "CVHP" (as local user):
>
> $ echo $USERDOMAIN
> CVHP
> $ mkpasswd -d $USERDOMAIN
> Jeder:*:0:0:,S-1-1-0::
> SYSTEM:*:18:18:,S-1-5-18::
> Cannot get DC, code = 1355
>
> But, logon as local user as well:
>
> $ mkpasswd -d VINSCHEN
>
> works as expected again!
>
> You see? Unfortunately, I have no chance to test in an environment
> with more than one domain and trusted domains etc.
>
> BTW, the code 1355 has the meaning:
>
> "The specified domain either does not exist or could not be contacted"
>
> and the Computername of the local computer is on one hand used as
> $USERDOMAIN but is on the other hand not contactable as DC. IMHO,
> this is not good but it is so.
>
> Hope, this helps,
> Corinna
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]